> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get player accolades by PUUID (v1)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/by-puuid/accolades/{affinity}/{platform}/{puuid}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security:
  - api_key_header: []
  - api_key_query: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v1/by-puuid/accolades/{affinity}/{platform}/{puuid}:
    get:
      tags:
        - valorant
      summary: Get player accolades by PUUID (v1)
      operationId: get_accolades_by_id
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: platform
          in: path
          description: Platform (pc, console)
          required: true
          schema:
            type: string
        - name: puuid
          in: path
          description: Player UUID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Accolades retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccoladesV1Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    AccoladesV1Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/AccoladesV1Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    AccoladesV1Data:
      type: object
      required:
        - account
        - matches
      properties:
        account:
          $ref: '#/components/schemas/AccoladesV1Account'
        matches:
          type: array
          items:
            $ref: '#/components/schemas/AccoladesV1Match'
        summary:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/AccoladesV1Summary'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    AccoladesV1Account:
      type: object
      required:
        - name
        - tag
        - puuid
      properties:
        name:
          type: string
        puuid:
          type: string
        tag:
          type: string
    AccoladesV1Match:
      type: object
      required:
        - players
      properties:
        match_id:
          type:
            - string
            - 'null'
        players:
          type: array
          items:
            $ref: '#/components/schemas/AccoladesV1Player'
        started_at:
          type:
            - string
            - 'null'
    AccoladesV1Summary:
      type: object
      required:
        - all_time
        - seasons
      properties:
        all_time:
          type: array
          items:
            $ref: '#/components/schemas/AccoladesV1SummaryMetric'
        seasons:
          type: array
          items:
            $ref: '#/components/schemas/AccoladesV1Season'
    AccoladesV1Player:
      type: object
      required:
        - puuid
        - accolades
      properties:
        accolades:
          type: array
          items:
            $ref: '#/components/schemas/AccoladesV1MatchMetric'
        puuid:
          type: string
    AccoladesV1SummaryMetric:
      type: object
      required:
        - id
        - count
        - best_value
      properties:
        best_value:
          type: number
          format: double
        count:
          type: integer
          format: int32
          minimum: 0
        id:
          type: string
        type:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/AccoladeKind'
    AccoladesV1Season:
      type: object
      required:
        - season
        - accolades
      properties:
        accolades:
          type: array
          items:
            $ref: '#/components/schemas/AccoladesV1SummaryMetric'
        season:
          $ref: '#/components/schemas/AccoladesV1SeasonId'
    AccoladesV1MatchMetric:
      type: object
      required:
        - id
        - value
        - is_act_record
      properties:
        id:
          type: string
        is_act_record:
          type: boolean
        type:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/AccoladeKind'
        value:
          type: number
          format: double
    AccoladeKind:
      type: string
      description: >-
        Known Goldstar IDs documented at
        https://valdocs.prometheuz.me/endpoint/goldstars.

        New IDs remain available via `GoldstarDefinition::id` even if not listed
        here.
      enum:
        - kills
        - first_blood
        - damage_per_round
        - clutches
        - aces
        - trades
        - headshot_percentage
        - distinction
        - assists
        - top_frag
        - plants
        - mvp
    AccoladesV1SeasonId:
      type: object
      required:
        - id
      properties:
        id:
          type: string
        short:
          type:
            - string
            - 'null'
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: Authorization
    api_key_query:
      type: apiKey
      in: query
      name: api_key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.